<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require "../config/Conexion.php";

Class Portal
{
  //Implementando nuestro constructor
  public function __construct()
  {
  }
    public function validarNroDni($operacion)
    {
       $sql="SELECT COUNT(*) as count FROM persona p 
       JOIN contrato c ON p.idpersona=c.idcliente  
       WHERE p.num_documento = '$operacion'";
      return ejecutarConsultaSimpleFila($sql);
    }

    public function enviarVoucher($idcuota,$idcontrato,$idbanco,$nroperacion,$fecha,$monto,$imagen)
    {
        $validar_cuota = "SELECT COUNT(idverificar) AS contador FROM verificar_cuota WHERE idcuota = '$idcuota'";
        $resultado = ejecutarConsultaSimpleFila($validar_cuota);
        $contador = $resultado['contador'];
         if ($contador == 0) {
              $sql="INSERT INTO verificar_cuota (idusuario,idcuota,banco,nroperacion,fecha,montoapagar,montopagado,comentario,idcontrato,estado,imagen) 
                    VALUES('0','$idcuota','$idbanco','$nroperacion','$fecha','$monto','$monto','','$idcontrato','1','$imagen')";
              return ejecutarConsulta($sql) ? "success" : "error";
        } else {
        return "existe";
       }
    }
  

  }